Repositories
Update a repo
Update a repo
curl --request PATCH \
--url https://agentgateway.atlan.engineering/registry/v1/repos/{repo_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_version": "<string>",
"display_name": "<string>",
"name": "<string>",
"project_id": "<string>",
"source_type": "<string>",
"source_uri": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_created_at: '<string>',
source_created_by: '<string>',
source_last_modified_at: '<string>',
source_last_modified_by: '<string>',
source_metadata: '<unknown>',
source_synced_at: '<string>',
source_version: '<string>',
display_name: '<string>',
name: '<string>',
project_id: '<string>',
source_type: '<string>',
source_uri: '<string>'
})
};
fetch('https://agentgateway.atlan.engineering/registry/v1/repos/{repo_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/repos/{repo_id}"
payload = {
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_version": "<string>",
"display_name": "<string>",
"name": "<string>",
"project_id": "<string>",
"source_type": "<string>",
"source_uri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"repo_status": "active",
"source_type": "<string>",
"source_uri": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"project": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>"
},
"project_id": "<string>",
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_version": "<string>",
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}{
"code": "invalid_json",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_type",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
HTTP 200 response.
Available options:
active, archived, deleted Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update a repo
curl --request PATCH \
--url https://agentgateway.atlan.engineering/registry/v1/repos/{repo_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_version": "<string>",
"display_name": "<string>",
"name": "<string>",
"project_id": "<string>",
"source_type": "<string>",
"source_uri": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_created_at: '<string>',
source_created_by: '<string>',
source_last_modified_at: '<string>',
source_last_modified_by: '<string>',
source_metadata: '<unknown>',
source_synced_at: '<string>',
source_version: '<string>',
display_name: '<string>',
name: '<string>',
project_id: '<string>',
source_type: '<string>',
source_uri: '<string>'
})
};
fetch('https://agentgateway.atlan.engineering/registry/v1/repos/{repo_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/repos/{repo_id}"
payload = {
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_version": "<string>",
"display_name": "<string>",
"name": "<string>",
"project_id": "<string>",
"source_type": "<string>",
"source_uri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"repo_status": "active",
"source_type": "<string>",
"source_uri": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"project": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>"
},
"project_id": "<string>",
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_version": "<string>",
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}{
"code": "invalid_json",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_type",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}